Subject: Re: /usr/include/sys/socket.h in cygwin
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Apr 2001 19:01:18 -0400

It looks like you are probably using either a snapshot or a test release.

Is this correct?

cgf

On Sun, Apr 22, 2001 at 06:55:58PM -0400, Travis Smith wrote:
>I have included the install log. Also source files that will duplicate the
>problem.
>
>Here's a log:
>
><log>
>~/src $ bash --version
>GNU bash, version 2.05.0(2)-release (i686-pc-cygwin)
>Copyright 2000 Free Software Foundation, Inc.
>~/src $ gcc --version
>2.95.3-3
>~/src $ cat main.cpp
>#include <sys/socket.h>
>#include <iostream.h>
>
>int main ( void )
>{
>        return 0;
>}
>~/src $ cat makefile
>CC=g++
>
>main.exe: main.o
>
>main.o: main.cpp
>~/src $ make
>gcc    -c -o main.o main.cpp
>In file included from main.cpp:1:
>/usr/include/sys/socket.h:14: features.h: No such file or directory
>make: *** [main.o] Error 1
>~/src $
>
></log>
>
>ln -s /usr/local/sys/features.h /usr/local/features.h
>will solve the problem on all occations I've tried.
>
>Sorry for the lack of info in the first place.
>
>~Travis Smith
>
>-----Original Message-----
>From: Christopher Faylor [mailto:[email-masked]]
>Sent: Sunday, April 22, 2001 6:47 PM
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: /usr/include/sys/socket.h in cygwin
>
>
>On Sun, Apr 22, 2001 at 04:53:00PM -0400, Travis Smith wrote:
>>I believe the /usr/include/sys/socket.h needs a <sys/features.h> vs.  a
>><features.h>.
>>
>>At least that's the problem I've run it, changing that has eliminated
>>any problems I've had.
>
>Could you enlighten us with the problem that you are having?
>
>In is always a good idea to provid specific details when providing
>a bug report.  It is difficult to know when a bug report is just
>a misconception or a cockpit error and when it is real.  If you
>provide us with the details of your reasoning, we don't have
>to duplicate whatever work you've done.
>
>
>cgf

>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple